## org.eclipse.uml2.codegen.ecore.genmodel.provider
Class GenModelItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.uml2.codegen.ecore.genmodel.util.GenModelAdapterFactory
              org.eclipse.uml2.codegen.ecore.genmodel.provider.GenModelItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class GenModelItemProviderAdapterFactory

extends GenModelAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Field Summary
`protected org.eclipse.emf.edit.provider.IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`
`protected GenClassItemProvider` `genClassItemProvider` This keeps track of the one adapter used for all `GenClass` instances
`protected GenDataTypeItemProvider` `genDataTypeItemProvider` This keeps track of the one adapter used for all `GenDataType` instances
`protected GenEnumItemProvider` `genEnumItemProvider` This keeps track of the one adapter used for all `GenEnum` instances
`protected GenEnumLiteralItemProvider` `genEnumLiteralItemProvider` This keeps track of the one adapter used for all `GenEnumLiteral` instances
`protected GenFeatureItemProvider` `genFeatureItemProvider` This keeps track of the one adapter used for all `GenFeature` instances
`protected GenModelItemProvider` `genModelItemProvider` This keeps track of the one adapter used for all `GenModel` instances
`protected GenOperationItemProvider` `genOperationItemProvider` This keeps track of the one adapter used for all `GenOperation` instances
`protected GenPackageItemProvider` `genPackageItemProvider` This keeps track of the one adapter used for all `GenPackage` instances
`protected GenParameterItemProvider` `genParameterItemProvider` This keeps track of the one adapter used for all `GenParameter` instances
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`

Fields inherited from class org.eclipse.uml2.codegen.ecore.genmodel.util.GenModelAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`GenModelItemProviderAdapterFactory()` This constructs an instance

Method Summary
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener
`org.eclipse.emf.common.notify.Adapter` `createGenClassAdapter()` This creates an adapter for a `GenClass`
`org.eclipse.emf.common.notify.Adapter` `createGenDataTypeAdapter()` This creates an adapter for a `GenDataType`
`org.eclipse.emf.common.notify.Adapter` `createGenEnumAdapter()` This creates an adapter for a `GenEnum`
`org.eclipse.emf.common.notify.Adapter` `createGenEnumLiteralAdapter()` This creates an adapter for a `GenEnumLiteral`
`org.eclipse.emf.common.notify.Adapter` `createGenFeatureAdapter()` This creates an adapter for a `GenFeature`
`org.eclipse.emf.common.notify.Adapter` `createGenModelAdapter()` This creates an adapter for a `GenModel`
`org.eclipse.emf.common.notify.Adapter` `createGenOperationAdapter()` This creates an adapter for a `GenOperation`
`org.eclipse.emf.common.notify.Adapter` `createGenPackageAdapter()` This creates an adapter for a `GenPackage`
`org.eclipse.emf.common.notify.Adapter` `createGenParameterAdapter()` This creates an adapter for a `GenParameter`
`void` `dispose()` This disposes all of the item providers created by this factory
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

Methods inherited from class org.eclipse.uml2.codegen.ecore.genmodel.util.GenModelAdapterFactory

`createAdapter, createEObjectAdapter, createGenBaseAdapter, createGenClassifierAdapter, createGenModel_GenBaseAdapter, createGenModel_GenClassAdapter, createGenModel_GenClassifierAdapter, createGenModel_GenDataTypeAdapter, createGenModel_GenEnumAdapter, createGenModel_GenEnumLiteralAdapter, createGenModel_GenFeatureAdapter, createGenModel_GenModelAdapter, createGenModel_GenOperationAdapter, createGenModel_GenPackageAdapter, createGenModel_GenParameterAdapter, createGenModel_GenTypedElementAdapter, createGenTypedElementAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### genClassItemProvider

    protected GenClassItemProvider genClassItemProvider

  This keeps track of the one adapter used for all `GenClass` instances.

### genDataTypeItemProvider

    protected GenDataTypeItemProvider genDataTypeItemProvider

  This keeps track of the one adapter used for all `GenDataType` instances.

### genEnumItemProvider

    protected GenEnumItemProvider genEnumItemProvider

  This keeps track of the one adapter used for all `GenEnum` instances.

### genEnumLiteralItemProvider

    protected GenEnumLiteralItemProvider genEnumLiteralItemProvider

  This keeps track of the one adapter used for all `GenEnumLiteral` instances.

### genFeatureItemProvider

    protected GenFeatureItemProvider genFeatureItemProvider

  This keeps track of the one adapter used for all `GenFeature` instances.

### genModelItemProvider

    protected GenModelItemProvider genModelItemProvider

  This keeps track of the one adapter used for all `GenModel` instances.

### genOperationItemProvider

    protected GenOperationItemProvider genOperationItemProvider

  This keeps track of the one adapter used for all `GenOperation` instances.

### genPackageItemProvider

    protected GenPackageItemProvider genPackageItemProvider

  This keeps track of the one adapter used for all `GenPackage` instances.

### genParameterItemProvider

    protected GenParameterItemProvider genParameterItemProvider

  This keeps track of the one adapter used for all `GenParameter` instances.

Constructor Detail

### GenModelItemProviderAdapterFactory

    public GenModelItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createGenClassAdapter

    public org.eclipse.emf.common.notify.Adapter createGenClassAdapter()

  This creates an adapter for a `GenClass`.

  Overrides:
    `createGenClassAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenClass`

### createGenDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createGenDataTypeAdapter()

  This creates an adapter for a `GenDataType`.

  Overrides:
    `createGenDataTypeAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenDataType`

### createGenEnumAdapter

    public org.eclipse.emf.common.notify.Adapter createGenEnumAdapter()

  This creates an adapter for a `GenEnum`.

  Overrides:
    `createGenEnumAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenEnum`

### createGenEnumLiteralAdapter

    public org.eclipse.emf.common.notify.Adapter createGenEnumLiteralAdapter()

  This creates an adapter for a `GenEnumLiteral`.

  Overrides:
    `createGenEnumLiteralAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenEnumLiteral`

### createGenFeatureAdapter

    public org.eclipse.emf.common.notify.Adapter createGenFeatureAdapter()

  This creates an adapter for a `GenFeature`.

  Overrides:
    `createGenFeatureAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenFeature`

### createGenModelAdapter

    public org.eclipse.emf.common.notify.Adapter createGenModelAdapter()

  This creates an adapter for a `GenModel`.

  Overrides:
    `createGenModelAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenModel`

### createGenOperationAdapter

    public org.eclipse.emf.common.notify.Adapter createGenOperationAdapter()

  This creates an adapter for a `GenOperation`.

  Overrides:
    `createGenOperationAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenOperation`

### createGenPackageAdapter

    public org.eclipse.emf.common.notify.Adapter createGenPackageAdapter()

  This creates an adapter for a `GenPackage`.

  Overrides:
    `createGenPackageAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenPackage`

### createGenParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createGenParameterAdapter()

  This creates an adapter for a `GenParameter`.

  Overrides:
    `createGenParameterAdapter` in class `GenModelAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GenParameter`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `GenModelAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.